| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Functions
jdmainct.c File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`

Go to the source code of this file.

## Classes
struct | my_main_controller

## Macros
#define | JPEG_INTERNALS
#define | CTX_PREPARE_FOR_IMCU 0 /* need to prepare for MCU row */
#define | CTX_PROCESS_IMCU 1 /* feeding iMCU to postprocessor */
#define | CTX_POSTPONED_ROW 2 /* feeding postponed row group */

## Typedefs
typedef my_main_controller * | my_main_ptr

## Functions
| METHODDEF (void)
| make_funny_pointers (j_decompress_ptr cinfo)
| set_wraparound_pointers (j_decompress_ptr cinfo)
| set_bottom_pointers (j_decompress_ptr cinfo)
| start_pass_main (j_decompress_ptr cinfo, J_BUF_MODE pass_mode)
| process_data_simple_main (j_decompress_ptr cinfo, JSAMPARRAY output_buf, JDIMENSION *out_row_ctr, JDIMENSION out_rows_avail)
| process_data_context_main (j_decompress_ptr cinfo, JSAMPARRAY output_buf, JDIMENSION *out_row_ctr, JDIMENSION out_rows_avail)
| process_data_crank_post (j_decompress_ptr cinfo, JSAMPARRAY output_buf, JDIMENSION *out_row_ctr, JDIMENSION out_rows_avail)
| jinit_d_main_controller (j_decompress_ptr cinfo, boolean need_full_buffer)

## Macro Definition Documentation

#define CTX_POSTPONED_ROW 2 /* feeding postponed row group */

Definition at line 139 of file jdmainct.c.

#define CTX_PREPARE_FOR_IMCU 0 /* need to prepare for MCU row */

Definition at line 137 of file jdmainct.c.

#define CTX_PROCESS_IMCU 1 /* feeding iMCU to postprocessor */

Definition at line 138 of file jdmainct.c.

#define JPEG_INTERNALS

Definition at line 16 of file jdmainct.c.

## Typedef Documentation

typedef my_main_controller* my_main_ptr

Definition at line 134 of file jdmainct.c.

## Function Documentation

jinit_d_main_controller | ( | j_decompress_ptr | cinfo,
|  | boolean | need_full_buffer
| ) |  |

Definition at line 476 of file jdmainct.c.

make_funny_pointers | ( | j_decompress_ptr | cinfo | ) |

Definition at line 195 of file jdmainct.c.

METHODDEF | ( | void |  | ) |

Definition at line 143 of file jdmainct.c.

process_data_context_main | ( | j_decompress_ptr | cinfo,
|  | JSAMPARRAY | output_buf,
|  | JDIMENSION * | out_row_ctr,
|  | JDIMENSION | out_rows_avail
| ) |  |

Definition at line 385 of file jdmainct.c.

process_data_crank_post | ( | j_decompress_ptr | cinfo,
|  | JSAMPARRAY | output_buf,
|  | JDIMENSION * | out_row_ctr,
|  | JDIMENSION | out_rows_avail
| ) |  |

Definition at line 459 of file jdmainct.c.

process_data_simple_main | ( | j_decompress_ptr | cinfo,
|  | JSAMPARRAY | output_buf,
|  | JDIMENSION * | out_row_ctr,
|  | JDIMENSION | out_rows_avail
| ) |  |

Definition at line 345 of file jdmainct.c.

set_bottom_pointers | ( | j_decompress_ptr | cinfo | ) |

Definition at line 266 of file jdmainct.c.

set_wraparound_pointers | ( | j_decompress_ptr | cinfo | ) |

Definition at line 238 of file jdmainct.c.

start_pass_main | ( | j_decompress_ptr | cinfo,
|  | J_BUF_MODE | pass_mode
| ) |  |

Definition at line 307 of file jdmainct.c.